icalendar.prop.recur.month module#
BYMONTH value type of RECUR from RFC 5545 and RFC 7529.
- class icalendar.prop.recur.month.vMonth(month, /, params=None)[source]#
Bases:
intThe number of the month for recurrence.
In RFC 5545, this is just an int. In RFC 7529, this can be followed by L to indicate a leap month.
>>> from icalendar import vMonth >>> vMonth(1) # first month January vMonth('1') >>> vMonth("5L") # leap month in Hebrew calendar vMonth('5L') >>> vMonth(1).leap False >>> vMonth("5L").leap True
Definition from RFC:
type-bymonth = element bymonth { xsd:positiveInteger | xsd:string }- classmethod from_xcal(xml)[source]#
Parse xCal from RFC 6321.
- Parameters:
xml (
XCalParser|ElementAdapter|Element) – The XML to parse or a parser.- Raises:
XCalParsingError – If the provided xCal is invalid.
- Return type:
VProp
- params: Parameters#
- classmethod parse_jcal_value(value)[source]#
Parse a jCal value for vMonth.
- Raises:
JCalParsingError – If the value is not a valid month.
- Return type: